EDIT - bug #6397

palmweb: various feature blocks missing
01/30/2017 10:46 AM - Andreas Kohlbecker
Severity: normal Found in Version:

Description

In the palmweb portal various feature blocks are missing.
At the example of Calamus aruensis:
This taxon has data for the 10 feature types, but only a few are currently shown (in bold) in the portal:

Distribution

Image

Common Name
Conservation
Discussion

Biology And Ecology
Description

¢ Materials Examined
e Uses

¢ Distribution

The web service returns the data correctly:

http http://api.cybertaxonomy.org/palmae/portal/descriptionElement/byTaxon\?taxon\=1d91bd71-7109-4
916-872f-a82b710a9cdf features\=d3c4cbb6-0025-4322-886b-cd0156753a25%2C89d3b005-9876-4923-89d9-60e
b7509583b%2C8200e050-d5fd-4cac-8a76-4b47afb13809%2C99b2842f-9%aa7-42fa-bd5f-7285311e0101%2C5deff505
-1a32-4817-9a74-50e6936£fd630%2C910307f1-dc3c-452c-a6b6dd-afbac7cd365c%$2Ce5374d39-b210-47c7-becl-beel
5b5f1cb6%2Ca7786d3e-7c58-4141-8416-346d4c80c4a2%2Cd43d8501-ceab-4caa—-9e51-e87138528fac%2Cf0£94c5c—
abae—-47d2-9c46-8a9c704973d3%2C86d40635-2a63-4adb6-be75-9faadab6a57fb%2C4890f358-b78a-45e2-a691-f9£f3f
10446ce%$2Cf59e747d-0b4f-4bf7-b69%a-cbd50bc78595%2C555a46bc-211a-476f-a022-c472970d6£8b%2C7c0c7571-a
864-47c1-891d-01£59000dael%2Cfc810911-51f0-4a46-ab97-6562fe263ae5%2C4518£c20-2492-47de-b345-777d2b
83c9cf%$2Cdd653d48-355c—-4aec—-ade7-724f6eb29£8d%2C1e87d9¢c3-0844-4a03-9686-773e2ccb3ab6%2Ce75255ca-8f
£f4-4905-baad-£842927£fe1d3%2Ca677£827-22b9-4205-bb37-11cb48dd9106%2C6e9deld5-05£f0-40d5-8786-2£fe30d0
d894d%2Cbd%acal7-cdle-4418-a3al-1a4b80dbcl62%2C%2Ce28965b2-a367-48c5-b954-8afc8ac2c69b%2Caa923827—-
d333-4cf5-9a5f-438ae0a4746b%2C002d05f2-£fd72-49f1-badd-196cf09240b5%2C9fdc4663-4d56-47d0-90b5-c0bf2
5lbafbb%2Cle5ac518-3f6d-4a5c-ad9%b-fc81a077e9f4%2Cb5780b45-6439-4f3¢c-9818-d89d26d36eb2%2C6f677e98-d
8d5-4bc5-80bf-affdb7e3945a%2C84193b2c-327f-4cce-90ef-c8dal8fd5bb5%2C6acb0348-c070-4512-a37c-67bcac
016279%2C94213b2c-e67a-4d37-25ef-e8d316edfbal%$2C9087cdcd-8b08-4082-alde-34c90a9fb493%2C8125a59d-b4
d5-4485-89ea-67306297b599%2C89423317-b00a-46de-a34f-£fel156d93dfc0%2Cfb16929f-bc9c-456f-9d40-dec987b
36438%2C86bd920d-£f8c5-48b9-af1d-03f63c31de5c%2C9832e24f-b670-43bd-ac7c-20a7261ald8c\&pageNumber\=0
\&pageSize\=500 | jg '.records|[].feature.titleCache'

Associated revisions

Revision caabObd2 - 01/30/2017 12:02 PM - Andreas Kohlbecker
fix #6397 ref #4379 fixing empty feature block content detection

History

#1 - 01/30/2017 10:47 AM - Andreas Kohlbecker

- Description updated

#2 - 01/30/2017 11:33 AM - Andreas Kohlbecker

- Target version changed from Release 4.6 to Release 4.5

04/10/2024 1/2




This is a bug which has been introduced while solving #6114 and #4379 commit.

#3 - 01/30/2017 12:03 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|caabO0bd280def9962d6c979e41719ce462¢c35163.

#5 - 01/30/2017 12:09 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#6 - 01/30/2017 12:09 PM - Andreas Kohlbecker
- % Done changed from 50 to 100
